> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload statement

> Upload a statement file for a specific account.



## OpenAPI

````yaml post /v1/finance/accounts/{accountId}/import
openapi: 3.0.0
info:
  title: Finance Accounts API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/finance/accounts/{accountId}/import:
    post:
      tags:
        - Finance / Accounts
      summary: Upload statement
      description: Upload a statement file for a specific account.
      operationId: uploadStatement
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '200':
          description: Statement uploaded successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  statement:
                    type: object
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````